Summary:        an interface to the database supported by Berkeley DB
Name:           perl-DB_File
Version:        1.858
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/DB_File
Source0:        https://cpan.metacpan.org/authors/id/P/PM/PMQS/DB_File-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc libdb-devel make
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(strict) perl(Carp) perl(Exporter) perl(warnings)
BuildRequires:  perl(lib) perl(Symbol) perl(threads) perl(Fcntl) perl(XSLoader)
BuildRequires:  perl(ExtUtils::Constant)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(Test::More)
Requires:       perl(Fcntl) perl(XSLoader)

%description
DB_File is a module which allows Perl programs to make use of the facilities
provided by Berkeley DB version 1.x. Berkeley DB is a C library which provides
a consistent interface to a number of database formats. DB_File provides an
interface to all three of the database types currently supported by Berkeley DB.

%prep
%autosetup -n DB_File-%{version}
find -type f -exec chmod -x {} +
perl -MConfig -pi -e 's|^#!.*perl|$Config{startperl}|' dbinfo
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test

%files
%doc Changes dbinfo README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/DB_File*
%{_mandir}/man3/*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.858-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.858-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.858-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.858-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.858-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.858-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 ZoeDong <zoedong@tencent.com> - 1.858-1
- Initial build

